Type to search.

Create a short URL

Base URL
https://{kibana_url}
  • POST /api/short_url
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Kibana URLs may be long and cumbersome, short URLs are much easier to remember and share. Short URLs are created by specifying the locator ID and locator parameters. When a short URL is resolved, the locator ID and locator parameters are used to redirect user to the right Kibana page.

Request body

humanReadableSlug boolean

When the slug parameter is omitted, the API will generate a random human-readable slug if humanReadableSlug is set to true.

locatorId string required

The identifier for the locator.

params object required

An object which contains all necessary parameters for the given locator to resolve to a Kibana location.

Warning

When you create a short URL, locator params are not validated, which allows you to pass arbitrary and ill-formed data into the API that can break Kibana. Make sure any data that you send to the API is properly formed.

slug string

A custom short URL slug. The slug is the part of the short URL that identifies it. You can provide a custom slug which consists of latin alphabet letters, numbers, and -._ characters. The slug must be at least 3 characters long, but no longer than 255 characters.

Response

Indicates a successful call.

application/json
accessCount integer

Number of times the short URL has been resolved.

accessDate integer · format: int64

Unix epoch (milliseconds) of the last time the short URL was resolved. Set to the creation time when the URL has never been accessed.

createDate integer · format: int64

Unix epoch (milliseconds) when the short URL was created.

id string

The identifier for the short URL.

slug string

A random human-readable slug is automatically generated if the humanReadableSlug parameter is set to true. If it is set to false, a random short string is generated.